Bug 153828 - [NEW PORT] Seven Ada ports including GNAT, GNAT Programing Studio, AWS and XML/Ada
[NEW PORT] Seven Ada ports including GNAT, GNAT Programing Studio, AWS and XM...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wen Heping
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-09 21:20 UTC by freebsdml
Modified: 2011-03-03 00:50 UTC (History)
0 users

See Also:


Attachments
gnat-aux.shar (8.52 KB, text/plain)
2011-01-09 21:20 UTC, freebsdml
no flags Details
gprbuild-aux.shar (11.30 KB, text/plain)
2011-01-09 21:20 UTC, freebsdml
no flags Details
gtkada.shar (60.97 KB, text/plain)
2011-01-09 21:20 UTC, freebsdml
no flags Details
aws.shar (43.68 KB, text/plain)
2011-01-09 21:20 UTC, freebsdml
no flags Details
gnat-aux.shar.txt (8.74 KB, text/plain; charset=US-ASCII)
2011-01-23 14:19 UTC, wenheping
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description freebsdml 2011-01-09 21:20:03 UTC
This is the second of a series of PRs to clean up obsolete Ada packages and add/revive some important Ada ports.  This PR adds seven new ports, starting with a new version of GNAT that builds flawlessly for the i386 and AMD64 platforms.  The ports to be added are: 

1) lang/gnat-aux       (Ada compiler based on FSF GCC 4.6)
2) devel/gps           (GNAT Programming Studio)
3) www/aws             (Ada Web Server)
4) textproc/xmlada     (Ada XML Library)
5) devel/gnatpython    (python-based utility for Ada testsuites)
6) devel/gprbuild-aux  (Multi-language project build tool)
7) x11-toolkits/gtkada (Ada bindings for gtk2)

GPS and AWS require gprbuild-aux to build, and only gnat-aux can build gprbuild-aux.  The older GNAT compilers in the ports tree and GNAT GPL 2010 can not build it due to recent binding interpretation changes in the language.   There will be no reason to maintain the 3 other FSF versions of GNAT after these ports are added to the tree. 
 
Tested on FreeBSD RELEASE 7.3, 8.0, 8.1 on i386 and AMD64

Some of these packages existed in some form before:
x11-toolkits/gtkada
x11-toolkits/gtkada-devel
x11-toolkits/gtkada-gps
textproc/xmlada-gcc

Fix: There should be seven shar files attached.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	gnatpython
#	gnatpython/Makefile
#	gnatpython/distinfo
#	gnatpython/pkg-descr
#	gnatpython/pkg-plist
#
echo c - gnatpython
mkdir -p gnatpython > /dev/null 2>&1
echo x - gnatpython/Makefile
sed 's/^X//' >gnatpython/Makefile << '99d775d756d3c9650d2e40e3282240ba'
X# New ports collection makefile for:  gnatpython
X# Date created:                       12 December 2010
X# Whom:                               John Marino <draco@marino.st>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	gnatpython
XPORTVERSION=	${SNAPSHOT}
XCATEGORIES=	devel
XMASTER_SITES=	http://downloads.dragonlace.net/src/ \
X		http://dragonlace.mirrors.ada.cx/src/
X
XMAINTAINER=	draco@marino.st
XCOMMENT=	Python package used in Ada testsuites
X
XSNAPSHOT=	20101207
XBUILD_DEPENDS=	python26>=2.6:${PORTSDIR}/lang/python26
XRUN_DEPENDS=	python26>=2.6:${PORTSDIR}/lang/python26
XUSE_BZIP2=	yes
X
Xdo-build:
X	cd ${WRKSRC} && python2.6 ./setup.py build
X
Xdo-install:
X	cd ${WRKSRC} && python2.6 ./setup.py install
X
X.include <bsd.port.mk>
99d775d756d3c9650d2e40e3282240ba
echo x - gnatpython/distinfo
sed 's/^X//' >gnatpython/distinfo << '5cefcd2c935919e2540e5a18d08e0012'
XMD5 (gnatpython-20101207.tar.bz2) = 81c4cd2f063793316246a519acdae607
XSHA256 (gnatpython-20101207.tar.bz2) = 7bf3ada2df1f4a6a913ce120c0bb35460adfb126c9890d73069ef848ff814ce1
XSIZE (gnatpython-20101207.tar.bz2) = 84745
5cefcd2c935919e2540e5a18d08e0012
echo x - gnatpython/pkg-descr
sed 's/^X//' >gnatpython/pkg-descr << '565a13a28b32f80df3a9b216a04f2fe6'
XGNATPython is a python package to ease development of testsuites and/or
Xbuild scripts in a portable way.  It is an extension to Ada which exports
XGNAT.Expect.TTY and requires the GNAT AUX compiler.
X
XWWW: http://forge.open-do.org/projects/gnatpython
565a13a28b32f80df3a9b216a04f2fe6
echo x - gnatpython/pkg-plist
sed 's/^X//' >gnatpython/pkg-plist << 'a8eb9f06f4cb810aad6fa6520e5ecfd6'
X@comment $FreeBSD$
Xbin/mainloop
Xbin/opt-parser
Xbin/rlimit
Xlib/python2.6/site-packages/gnatpython/tree.pyc
Xlib/python2.6/site-packages/gnatpython/fileutils.py
Xlib/python2.6/site-packages/gnatpython/_term.so
Xlib/python2.6/site-packages/gnatpython/config.py
Xlib/python2.6/site-packages/gnatpython/fileutils.pyc
Xlib/python2.6/site-packages/gnatpython/mainloop.py
Xlib/python2.6/site-packages/gnatpython/logging_util.py
Xlib/python2.6/site-packages/gnatpython/ex.py
Xlib/python2.6/site-packages/gnatpython/testdriver.pyc
Xlib/python2.6/site-packages/gnatpython/arch.pyc
Xlib/python2.6/site-packages/gnatpython/vcs.pyc
Xlib/python2.6/site-packages/gnatpython/ex.pyc
Xlib/python2.6/site-packages/gnatpython/stringutils.pyc
Xlib/python2.6/site-packages/gnatpython/mainloop.pyc
Xlib/python2.6/site-packages/gnatpython/tree.py
Xlib/python2.6/site-packages/gnatpython/main.pyc
Xlib/python2.6/site-packages/gnatpython/env.py
Xlib/python2.6/site-packages/gnatpython/optfileparser.pyc
Xlib/python2.6/site-packages/gnatpython/expect.py
Xlib/python2.6/site-packages/gnatpython/env.pyc
Xlib/python2.6/site-packages/gnatpython/__init__.pyc
Xlib/python2.6/site-packages/gnatpython/config.pyc
Xlib/python2.6/site-packages/gnatpython/main.py
Xlib/python2.6/site-packages/gnatpython/reports.py
Xlib/python2.6/site-packages/gnatpython/testdriver.py
Xlib/python2.6/site-packages/gnatpython/expect.pyc
Xlib/python2.6/site-packages/gnatpython/arch.py
Xlib/python2.6/site-packages/gnatpython/optfileparser.py
Xlib/python2.6/site-packages/gnatpython/logging_util.pyc
Xlib/python2.6/site-packages/gnatpython/reports.pyc
Xlib/python2.6/site-packages/gnatpython/stringutils.py
Xlib/python2.6/site-packages/gnatpython/__init__.py
Xlib/python2.6/site-packages/gnatpython/vcs.py
Xlib/python2.6/site-packages/gnatpython-1.1-py2.6.egg-info
X@dirrm lib/python2.6/site-packages/gnatpython
a8eb9f06f4cb810aad6fa6520e5ecfd6
exit
--- gnatpython.shar ends here ---

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	xmlada
#	xmlada/Makefile
#	xmlada/distinfo
#	xmlada/pkg-descr
#	xmlada/pkg-plist
#
echo c - xmlada
mkdir -p xmlada > /dev/null 2>&1
echo x - xmlada/Makefile
sed 's/^X//' >xmlada/Makefile << 'b77b446f884c0a24a069386e0b777fc2'
X# New ports collection makefile for:  xmlada
X# Date created:                       12 December 2010
X# Whom:                               John Marino <draco@marino.st>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	xmlada
XPORTVERSION=	4.1w
XCATEGORIES=	textproc
XMASTER_SITES=	http://downloads.dragonlace.net/src/ \
X		http://dragonlace.mirrors.ada.cx/src/
XDISTFILES=	${PORTNAME}-${PORTVERSION}-${SNAPSHOT}.tar.bz2
X
XMAINTAINER=	draco@marino.st
XCOMMENT=	Adacore XML suite for the Ada language
X
XSNAPSHOT=	20101125
XBUILD_DEPENDS=	gnat-aux>=20101204:${PORTSDIR}/lang/gnat-aux
X
XGNU_CONFIGURE=	yes
XUSE_GMAKE=	yes
XCC=		gnatgcc
X
X.include <bsd.port.mk>
b77b446f884c0a24a069386e0b777fc2
echo x - xmlada/distinfo
sed 's/^X//' >xmlada/distinfo << 'de9e08790f3c15398d164dc63106008e'
XMD5 (xmlada-4.1w-20101125.tar.bz2) = ae3263fe2b30096d037e0fbeeaa95381
XSHA256 (xmlada-4.1w-20101125.tar.bz2) = 3999066bed2be7dcfaaa8ff4058e8c9f0f41ef93340c65662a12f67d179ccb9d
XSIZE (xmlada-4.1w-20101125.tar.bz2) = 701742
de9e08790f3c15398d164dc63106008e
echo x - xmlada/pkg-descr
sed 's/^X//' >xmlada/pkg-descr << '2fe0aa51e2e1c4920f38a75c3c7b2728'
XXML/Ada is a full XML suite for use with Ada compilers, such as GNAT AUX.
X
XXML/Ada is a set of modules that provide a simple manipulation of XML
Xstreams.  It supports the whole XML 1.1 specification and can parse any file
Xthat follows this standard, including the contents of the DTD although no
Xvalidation of the documents is performed based on those.
X
XIt provides support for a number of standards associated with XML such as
XSAX, DOM, and XML schemas.  Additionally, it includes a module to manipulate
Xunicode streams since this is required by the XML standard.
X
XWWW: http://libre.adacore.com/libre/tools/xmlada/
2fe0aa51e2e1c4920f38a75c3c7b2728
echo x - xmlada/pkg-plist
sed 's/^X//' >xmlada/pkg-plist << '3c4f61a8741951bb254d56f6707ed35e'
X@comment $FreeBSD$
Xbin/xmlada-config
Xlib/gnat/xmlada.gpr
Xlib/gnat/xmlada_dom.gpr
Xlib/gnat/xmlada_input.gpr
Xlib/gnat/xmlada_sax.gpr
Xlib/gnat/xmlada_schema.gpr
Xlib/gnat/xmlada_shared.gpr
Xlib/gnat/xmlada_unicode.gpr
Xlib/gnat/xmlada/xmlada_dom.lgpr
Xlib/gnat/xmlada/xmlada_input_sources.lgpr
Xlib/gnat/xmlada/xmlada_sax.lgpr
Xlib/gnat/xmlada/xmlada_schema.lgpr
Xlib/gnat/xmlada/xmlada_unicode.lgpr
Xlib/xmlada/static/dom-core-attrs.ali
Xlib/xmlada/static/dom-core-cdata_sections.ali
Xlib/xmlada/static/dom-core-character_datas.ali
Xlib/xmlada/static/dom-core-comments.ali
Xlib/xmlada/static/dom-core-document_fragments.ali
Xlib/xmlada/static/dom-core-document_types.ali
Xlib/xmlada/static/dom-core-documents.ali
Xlib/xmlada/static/dom-core-elements.ali
Xlib/xmlada/static/dom-core-entity_references.ali
Xlib/xmlada/static/dom-core-nodes.ali
Xlib/xmlada/static/dom-core-notations.ali
Xlib/xmlada/static/dom-core-processing_instructions.ali
Xlib/xmlada/static/dom-core-texts.ali
Xlib/xmlada/static/dom-core.ali
Xlib/xmlada/static/dom-readers.ali
Xlib/xmlada/static/dom.ali
Xlib/xmlada/static/input_sources-file.ali
Xlib/xmlada/static/input_sources-http.ali
Xlib/xmlada/static/input_sources-strings.ali
Xlib/xmlada/static/input_sources.ali
Xlib/xmlada/static/libxmlada_dom.a
Xlib/xmlada/static/libxmlada_input_sources.a
Xlib/xmlada/static/libxmlada_sax.a
Xlib/xmlada/static/libxmlada_schema.a
Xlib/xmlada/static/libxmlada_unicode.a
Xlib/xmlada/static/sax-attributes.ali
Xlib/xmlada/static/sax-encodings.ali
Xlib/xmlada/static/sax-exceptions.ali
Xlib/xmlada/static/sax-htable.ali
Xlib/xmlada/static/sax-locators.ali
Xlib/xmlada/static/sax-models.ali
Xlib/xmlada/static/sax-pointers.ali
Xlib/xmlada/static/sax-readers.ali
Xlib/xmlada/static/sax-state_machines.ali
Xlib/xmlada/static/sax-symbols.ali
Xlib/xmlada/static/sax-utils.ali
Xlib/xmlada/static/sax.ali
Xlib/xmlada/static/schema-date_time.ali
Xlib/xmlada/static/schema-decimal.ali
Xlib/xmlada/static/schema-dom_readers.ali
Xlib/xmlada/static/schema-readers.ali
Xlib/xmlada/static/schema-schema_readers.ali
Xlib/xmlada/static/schema-simple_types.ali
Xlib/xmlada/static/schema-validators-xsd_grammar.ali
Xlib/xmlada/static/schema-validators.ali
Xlib/xmlada/static/schema.ali
Xlib/xmlada/static/unicode-ccs-iso_8859_1.ali
Xlib/xmlada/static/unicode-ccs-iso_8859_15.ali
Xlib/xmlada/static/unicode-ccs-iso_8859_2.ali
Xlib/xmlada/static/unicode-ccs-iso_8859_3.ali
Xlib/xmlada/static/unicode-ccs-iso_8859_4.ali
Xlib/xmlada/static/unicode-ccs-windows_1251.ali
Xlib/xmlada/static/unicode-ccs-windows_1252.ali
Xlib/xmlada/static/unicode-ccs.ali
Xlib/xmlada/static/unicode-ces-basic_8bit.ali
Xlib/xmlada/static/unicode-ces-utf16.ali
Xlib/xmlada/static/unicode-ces-utf32.ali
Xlib/xmlada/static/unicode-ces-utf8.ali
Xlib/xmlada/static/unicode-ces.ali
Xlib/xmlada/static/unicode-encodings.ali
Xlib/xmlada/static/unicode-names-alpha_presentation_forms.ali
Xlib/xmlada/static/unicode-names-arabic.ali
Xlib/xmlada/static/unicode-names-arabic_present_formsa.ali
Xlib/xmlada/static/unicode-names-arabic_present_formsb.ali
Xlib/xmlada/static/unicode-names-armenian.ali
Xlib/xmlada/static/unicode-names-arrows.ali
Xlib/xmlada/static/unicode-names-basic_latin.ali
Xlib/xmlada/static/unicode-names-bengali.ali
Xlib/xmlada/static/unicode-names-block_elements.ali
Xlib/xmlada/static/unicode-names-bopomofo.ali
Xlib/xmlada/static/unicode-names-bopomofo_extended.ali
Xlib/xmlada/static/unicode-names-box_drawing.ali
Xlib/xmlada/static/unicode-names-braille_patterns.ali
Xlib/xmlada/static/unicode-names-canadian_aboriginal.ali
Xlib/xmlada/static/unicode-names-cherokee.ali
Xlib/xmlada/static/unicode-names-cjk_compat_ideographs.ali
Xlib/xmlada/static/unicode-names-cjk_compatibility.ali
Xlib/xmlada/static/unicode-names-cjk_compatibility_forms.ali
Xlib/xmlada/static/unicode-names-cjk_letters_months.ali
Xlib/xmlada/static/unicode-names-cjk_radicals_supplement.ali
Xlib/xmlada/static/unicode-names-cjk_symbols_and_punct.ali
Xlib/xmlada/static/unicode-names-cjk_unified_ideographs.ali
Xlib/xmlada/static/unicode-names-combining_diacritical.ali
Xlib/xmlada/static/unicode-names-combining_half_marks.ali
Xlib/xmlada/static/unicode-names-combining_marks_symbols.ali
Xlib/xmlada/static/unicode-names-control_pictures.ali
Xlib/xmlada/static/unicode-names-currency_symbols.ali
Xlib/xmlada/static/unicode-names-cyrillic.ali
Xlib/xmlada/static/unicode-names-devanagari.ali
Xlib/xmlada/static/unicode-names-dingbats.ali
Xlib/xmlada/static/unicode-names-enclosed_alphanumerics.ali
Xlib/xmlada/static/unicode-names-ethiopic.ali
Xlib/xmlada/static/unicode-names-general_punctuation.ali
Xlib/xmlada/static/unicode-names-geometric_shapes.ali
Xlib/xmlada/static/unicode-names-georgian.ali
Xlib/xmlada/static/unicode-names-greek.ali
Xlib/xmlada/static/unicode-names-greek_extended.ali
Xlib/xmlada/static/unicode-names-gujarati.ali
Xlib/xmlada/static/unicode-names-gurmukhi.ali
Xlib/xmlada/static/unicode-names-half_full_withdt_forms.ali
Xlib/xmlada/static/unicode-names-hangul_compatibility_jamo.ali
Xlib/xmlada/static/unicode-names-hangul_jamo.ali
Xlib/xmlada/static/unicode-names-hangul_syllables.ali
Xlib/xmlada/static/unicode-names-hebrew.ali
Xlib/xmlada/static/unicode-names-high_private_surrogates.ali
Xlib/xmlada/static/unicode-names-high_surrogates.ali
Xlib/xmlada/static/unicode-names-hiragana.ali
Xlib/xmlada/static/unicode-names-ideograph_descr_chars.ali
Xlib/xmlada/static/unicode-names-ipa_extensions.ali
Xlib/xmlada/static/unicode-names-kanbun.ali
Xlib/xmlada/static/unicode-names-kangxi_radicals.ali
Xlib/xmlada/static/unicode-names-kannada.ali
Xlib/xmlada/static/unicode-names-katakana.ali
Xlib/xmlada/static/unicode-names-khmer.ali
Xlib/xmlada/static/unicode-names-lao.ali
Xlib/xmlada/static/unicode-names-latin_1_supplement.ali
Xlib/xmlada/static/unicode-names-latin_extended_a.ali
Xlib/xmlada/static/unicode-names-latin_extended_additional.ali
Xlib/xmlada/static/unicode-names-latin_extended_b.ali
Xlib/xmlada/static/unicode-names-letterlike_symbols.ali
Xlib/xmlada/static/unicode-names-low_surrogates.ali
Xlib/xmlada/static/unicode-names-malayalam.ali
Xlib/xmlada/static/unicode-names-mathematical_operators.ali
Xlib/xmlada/static/unicode-names-miscellaneous_symbols.ali
Xlib/xmlada/static/unicode-names-miscellaneous_technical.ali
Xlib/xmlada/static/unicode-names-mongolian.ali
Xlib/xmlada/static/unicode-names-myanmar.ali
Xlib/xmlada/static/unicode-names-number_forms.ali
Xlib/xmlada/static/unicode-names-ogham.ali
Xlib/xmlada/static/unicode-names-optical_chars_recognition.ali
Xlib/xmlada/static/unicode-names-oriya.ali
Xlib/xmlada/static/unicode-names-private_use.ali
Xlib/xmlada/static/unicode-names-runic.ali
Xlib/xmlada/static/unicode-names-sinhala.ali
Xlib/xmlada/static/unicode-names-small_form_variants.ali
Xlib/xmlada/static/unicode-names-spacing_modifier_letters.ali
Xlib/xmlada/static/unicode-names-specials.ali
Xlib/xmlada/static/unicode-names-super_and_sub_scripts.ali
Xlib/xmlada/static/unicode-names-syriac.ali
Xlib/xmlada/static/unicode-names-tamil.ali
Xlib/xmlada/static/unicode-names-telugu.ali
Xlib/xmlada/static/unicode-names-thaana.ali
Xlib/xmlada/static/unicode-names-thai.ali
Xlib/xmlada/static/unicode-names-tibetan.ali
Xlib/xmlada/static/unicode-names-yi_radicals.ali
Xlib/xmlada/static/unicode-names-yi_syllables.ali
Xlib/xmlada/static/unicode-names.ali
Xlib/xmlada/static/unicode.ali
Xlib/xmlada/relocatable/dom-core-attrs.ali
Xlib/xmlada/relocatable/dom-core-cdata_sections.ali
Xlib/xmlada/relocatable/dom-core-character_datas.ali
Xlib/xmlada/relocatable/dom-core-comments.ali
Xlib/xmlada/relocatable/dom-core-document_fragments.ali
Xlib/xmlada/relocatable/dom-core-document_types.ali
Xlib/xmlada/relocatable/dom-core-documents.ali
Xlib/xmlada/relocatable/dom-core-elements.ali
Xlib/xmlada/relocatable/dom-core-entity_references.ali
Xlib/xmlada/relocatable/dom-core-nodes.ali
Xlib/xmlada/relocatable/dom-core-notations.ali
Xlib/xmlada/relocatable/dom-core-processing_instructions.ali
Xlib/xmlada/relocatable/dom-core-texts.ali
Xlib/xmlada/relocatable/dom-core.ali
Xlib/xmlada/relocatable/dom-readers.ali
Xlib/xmlada/relocatable/dom.ali
Xlib/xmlada/relocatable/input_sources-file.ali
Xlib/xmlada/relocatable/input_sources-http.ali
Xlib/xmlada/relocatable/input_sources-strings.ali
Xlib/xmlada/relocatable/input_sources.ali
Xlib/xmlada/relocatable/libxmlada_dom.so
Xlib/xmlada/relocatable/libxmlada_dom.so.4
Xlib/xmlada/relocatable/libxmlada_dom.so.4.1w
Xlib/xmlada/relocatable/libxmlada_input_sources.so
Xlib/xmlada/relocatable/libxmlada_input_sources.so.4
Xlib/xmlada/relocatable/libxmlada_input_sources.so.4.1w
Xlib/xmlada/relocatable/libxmlada_sax.so
Xlib/xmlada/relocatable/libxmlada_sax.so.4
Xlib/xmlada/relocatable/libxmlada_sax.so.4.1w
Xlib/xmlada/relocatable/libxmlada_schema.so
Xlib/xmlada/relocatable/libxmlada_schema.so.4
Xlib/xmlada/relocatable/libxmlada_schema.so.4.1w
Xlib/xmlada/relocatable/libxmlada_unicode.so
Xlib/xmlada/relocatable/libxmlada_unicode.so.4
Xlib/xmlada/relocatable/libxmlada_unicode.so.4.1w
Xlib/xmlada/relocatable/sax-attributes.ali
Xlib/xmlada/relocatable/sax-encodings.ali
Xlib/xmlada/relocatable/sax-exceptions.ali
Xlib/xmlada/relocatable/sax-htable.ali
Xlib/xmlada/relocatable/sax-locators.ali
Xlib/xmlada/relocatable/sax-models.ali
Xlib/xmlada/relocatable/sax-pointers.ali
Xlib/xmlada/relocatable/sax-readers.ali
Xlib/xmlada/relocatable/sax-state_machines.ali
Xlib/xmlada/relocatable/sax-symbols.ali
Xlib/xmlada/relocatable/sax-utils.ali
Xlib/xmlada/relocatable/sax.ali
Xlib/xmlada/relocatable/schema-date_time.ali
Xlib/xmlada/relocatable/schema-decimal.ali
Xlib/xmlada/relocatable/schema-dom_readers.ali
Xlib/xmlada/relocatable/schema-readers.ali
Xlib/xmlada/relocatable/schema-schema_readers.ali
Xlib/xmlada/relocatable/schema-simple_types.ali
Xlib/xmlada/relocatable/schema-validators-xsd_grammar.ali
Xlib/xmlada/relocatable/schema-validators.ali
Xlib/xmlada/relocatable/schema.ali
Xlib/xmlada/relocatable/unicode-ccs-iso_8859_1.ali
Xlib/xmlada/relocatable/unicode-ccs-iso_8859_15.ali
Xlib/xmlada/relocatable/unicode-ccs-iso_8859_2.ali
Xlib/xmlada/relocatable/unicode-ccs-iso_8859_3.ali
Xlib/xmlada/relocatable/unicode-ccs-iso_8859_4.ali
Xlib/xmlada/relocatable/unicode-ccs-windows_1251.ali
Xlib/xmlada/relocatable/unicode-ccs-windows_1252.ali
Xlib/xmlada/relocatable/unicode-ccs.ali
Xlib/xmlada/relocatable/unicode-ces-basic_8bit.ali
Xlib/xmlada/relocatable/unicode-ces-utf16.ali
Xlib/xmlada/relocatable/unicode-ces-utf32.ali
Xlib/xmlada/relocatable/unicode-ces-utf8.ali
Xlib/xmlada/relocatable/unicode-ces.ali
Xlib/xmlada/relocatable/unicode-encodings.ali
Xlib/xmlada/relocatable/unicode-names-alpha_presentation_forms.ali
Xlib/xmlada/relocatable/unicode-names-arabic.ali
Xlib/xmlada/relocatable/unicode-names-arabic_present_formsa.ali
Xlib/xmlada/relocatable/unicode-names-arabic_present_formsb.ali
Xlib/xmlada/relocatable/unicode-names-armenian.ali
Xlib/xmlada/relocatable/unicode-names-arrows.ali
Xlib/xmlada/relocatable/unicode-names-basic_latin.ali
Xlib/xmlada/relocatable/unicode-names-bengali.ali
Xlib/xmlada/relocatable/unicode-names-block_elements.ali
Xlib/xmlada/relocatable/unicode-names-bopomofo.ali
Xlib/xmlada/relocatable/unicode-names-bopomofo_extended.ali
Xlib/xmlada/relocatable/unicode-names-box_drawing.ali
Xlib/xmlada/relocatable/unicode-names-braille_patterns.ali
Xlib/xmlada/relocatable/unicode-names-canadian_aboriginal.ali
Xlib/xmlada/relocatable/unicode-names-cherokee.ali
Xlib/xmlada/relocatable/unicode-names-cjk_compat_ideographs.ali
Xlib/xmlada/relocatable/unicode-names-cjk_compatibility.ali
Xlib/xmlada/relocatable/unicode-names-cjk_compatibility_forms.ali
Xlib/xmlada/relocatable/unicode-names-cjk_letters_months.ali
Xlib/xmlada/relocatable/unicode-names-cjk_radicals_supplement.ali
Xlib/xmlada/relocatable/unicode-names-cjk_symbols_and_punct.ali
Xlib/xmlada/relocatable/unicode-names-cjk_unified_ideographs.ali
Xlib/xmlada/relocatable/unicode-names-combining_diacritical.ali
Xlib/xmlada/relocatable/unicode-names-combining_half_marks.ali
Xlib/xmlada/relocatable/unicode-names-combining_marks_symbols.ali
Xlib/xmlada/relocatable/unicode-names-control_pictures.ali
Xlib/xmlada/relocatable/unicode-names-currency_symbols.ali
Xlib/xmlada/relocatable/unicode-names-cyrillic.ali
Xlib/xmlada/relocatable/unicode-names-devanagari.ali
Xlib/xmlada/relocatable/unicode-names-dingbats.ali
Xlib/xmlada/relocatable/unicode-names-enclosed_alphanumerics.ali
Xlib/xmlada/relocatable/unicode-names-ethiopic.ali
Xlib/xmlada/relocatable/unicode-names-general_punctuation.ali
Xlib/xmlada/relocatable/unicode-names-geometric_shapes.ali
Xlib/xmlada/relocatable/unicode-names-georgian.ali
Xlib/xmlada/relocatable/unicode-names-greek.ali
Xlib/xmlada/relocatable/unicode-names-greek_extended.ali
Xlib/xmlada/relocatable/unicode-names-gujarati.ali
Xlib/xmlada/relocatable/unicode-names-gurmukhi.ali
Xlib/xmlada/relocatable/unicode-names-half_full_withdt_forms.ali
Xlib/xmlada/relocatable/unicode-names-hangul_compatibility_jamo.ali
Xlib/xmlada/relocatable/unicode-names-hangul_jamo.ali
Xlib/xmlada/relocatable/unicode-names-hangul_syllables.ali
Xlib/xmlada/relocatable/unicode-names-hebrew.ali
Xlib/xmlada/relocatable/unicode-names-high_private_surrogates.ali
Xlib/xmlada/relocatable/unicode-names-high_surrogates.ali
Xlib/xmlada/relocatable/unicode-names-hiragana.ali
Xlib/xmlada/relocatable/unicode-names-ideograph_descr_chars.ali
Xlib/xmlada/relocatable/unicode-names-ipa_extensions.ali
Xlib/xmlada/relocatable/unicode-names-kanbun.ali
Xlib/xmlada/relocatable/unicode-names-kangxi_radicals.ali
Xlib/xmlada/relocatable/unicode-names-kannada.ali
Xlib/xmlada/relocatable/unicode-names-katakana.ali
Xlib/xmlada/relocatable/unicode-names-khmer.ali
Xlib/xmlada/relocatable/unicode-names-lao.ali
Xlib/xmlada/relocatable/unicode-names-latin_1_supplement.ali
Xlib/xmlada/relocatable/unicode-names-latin_extended_a.ali
Xlib/xmlada/relocatable/unicode-names-latin_extended_additional.ali
Xlib/xmlada/relocatable/unicode-names-latin_extended_b.ali
Xlib/xmlada/relocatable/unicode-names-letterlike_symbols.ali
Xlib/xmlada/relocatable/unicode-names-low_surrogates.ali
Xlib/xmlada/relocatable/unicode-names-malayalam.ali
Xlib/xmlada/relocatable/unicode-names-mathematical_operators.ali
Xlib/xmlada/relocatable/unicode-names-miscellaneous_symbols.ali
Xlib/xmlada/relocatable/unicode-names-miscellaneous_technical.ali
Xlib/xmlada/relocatable/unicode-names-mongolian.ali
Xlib/xmlada/relocatable/unicode-names-myanmar.ali
Xlib/xmlada/relocatable/unicode-names-number_forms.ali
Xlib/xmlada/relocatable/unicode-names-ogham.ali
Xlib/xmlada/relocatable/unicode-names-optical_chars_recognition.ali
Xlib/xmlada/relocatable/unicode-names-oriya.ali
Xlib/xmlada/relocatable/unicode-names-private_use.ali
Xlib/xmlada/relocatable/unicode-names-runic.ali
Xlib/xmlada/relocatable/unicode-names-sinhala.ali
Xlib/xmlada/relocatable/unicode-names-small_form_variants.ali
Xlib/xmlada/relocatable/unicode-names-spacing_modifier_letters.ali
Xlib/xmlada/relocatable/unicode-names-specials.ali
Xlib/xmlada/relocatable/unicode-names-super_and_sub_scripts.ali
Xlib/xmlada/relocatable/unicode-names-syriac.ali
Xlib/xmlada/relocatable/unicode-names-tamil.ali
Xlib/xmlada/relocatable/unicode-names-telugu.ali
Xlib/xmlada/relocatable/unicode-names-thaana.ali
Xlib/xmlada/relocatable/unicode-names-thai.ali
Xlib/xmlada/relocatable/unicode-names-tibetan.ali
Xlib/xmlada/relocatable/unicode-names-yi_radicals.ali
Xlib/xmlada/relocatable/unicode-names-yi_syllables.ali
Xlib/xmlada/relocatable/unicode-names.ali
Xlib/xmlada/relocatable/unicode.ali
Xinclude/xmlada/dom-core-attrs.adb
Xinclude/xmlada/dom-core-attrs.ads
Xinclude/xmlada/dom-core-cdata_sections.ads
Xinclude/xmlada/dom-core-character_datas.adb
Xinclude/xmlada/dom-core-character_datas.ads
Xinclude/xmlada/dom-core-comments.ads
Xinclude/xmlada/dom-core-document_fragments.ads
Xinclude/xmlada/dom-core-document_types.adb
Xinclude/xmlada/dom-core-document_types.ads
Xinclude/xmlada/dom-core-documents.adb
Xinclude/xmlada/dom-core-documents.ads
Xinclude/xmlada/dom-core-elements.adb
Xinclude/xmlada/dom-core-elements.ads
Xinclude/xmlada/dom-core-entity_references.ads
Xinclude/xmlada/dom-core-nodes.adb
Xinclude/xmlada/dom-core-nodes.ads
Xinclude/xmlada/dom-core-notations.adb
Xinclude/xmlada/dom-core-notations.ads
Xinclude/xmlada/dom-core-processing_instructions.ads
Xinclude/xmlada/dom-core-texts.adb
Xinclude/xmlada/dom-core-texts.ads
Xinclude/xmlada/dom-core.adb
Xinclude/xmlada/dom-core.ads
Xinclude/xmlada/dom-readers.adb
Xinclude/xmlada/dom-readers.ads
Xinclude/xmlada/dom.ads
Xinclude/xmlada/input_sources-file.adb
Xinclude/xmlada/input_sources-file.ads
Xinclude/xmlada/input_sources-http.adb
Xinclude/xmlada/input_sources-http.ads
Xinclude/xmlada/input_sources-strings.adb
Xinclude/xmlada/input_sources-strings.ads
Xinclude/xmlada/input_sources.adb
Xinclude/xmlada/input_sources.ads
Xinclude/xmlada/sax-attributes.adb
Xinclude/xmlada/sax-attributes.ads
Xinclude/xmlada/sax-encodings.ads
Xinclude/xmlada/sax-exceptions.adb
Xinclude/xmlada/sax-exceptions.ads
Xinclude/xmlada/sax-htable.adb
Xinclude/xmlada/sax-htable.ads
Xinclude/xmlada/sax-locators.adb
Xinclude/xmlada/sax-locators.ads
Xinclude/xmlada/sax-models.adb
Xinclude/xmlada/sax-models.ads
Xinclude/xmlada/sax-pointers.adb
Xinclude/xmlada/sax-pointers.ads
Xinclude/xmlada/sax-readers.adb
Xinclude/xmlada/sax-readers.ads
Xinclude/xmlada/sax-state_machines.adb
Xinclude/xmlada/sax-state_machines.ads
Xinclude/xmlada/sax-symbols.adb
Xinclude/xmlada/sax-symbols.ads
Xinclude/xmlada/sax-utils.adb
Xinclude/xmlada/sax-utils.ads
Xinclude/xmlada/sax.ads
Xinclude/xmlada/schema-date_time.adb
Xinclude/xmlada/schema-date_time.ads
Xinclude/xmlada/schema-decimal.adb
Xinclude/xmlada/schema-decimal.ads
Xinclude/xmlada/schema-dom_readers.adb
Xinclude/xmlada/schema-dom_readers.ads
Xinclude/xmlada/schema-readers.adb
Xinclude/xmlada/schema-readers.ads
Xinclude/xmlada/schema-schema_readers.adb
Xinclude/xmlada/schema-schema_readers.ads
Xinclude/xmlada/schema-simple_types.adb
Xinclude/xmlada/schema-simple_types.ads
Xinclude/xmlada/schema-validators-xsd_grammar.adb
Xinclude/xmlada/schema-validators-xsd_grammar.ads
Xinclude/xmlada/schema-validators.adb
Xinclude/xmlada/schema-validators.ads
Xinclude/xmlada/schema.adb
Xinclude/xmlada/schema.ads
Xinclude/xmlada/unicode-ccs-iso_8859_1.adb
Xinclude/xmlada/unicode-ccs-iso_8859_1.ads
Xinclude/xmlada/unicode-ccs-iso_8859_15.adb
Xinclude/xmlada/unicode-ccs-iso_8859_15.ads
Xinclude/xmlada/unicode-ccs-iso_8859_2.adb
Xinclude/xmlada/unicode-ccs-iso_8859_2.ads
Xinclude/xmlada/unicode-ccs-iso_8859_3.adb
Xinclude/xmlada/unicode-ccs-iso_8859_3.ads
Xinclude/xmlada/unicode-ccs-iso_8859_4.adb
Xinclude/xmlada/unicode-ccs-iso_8859_4.ads
Xinclude/xmlada/unicode-ccs-windows_1251.adb
Xinclude/xmlada/unicode-ccs-windows_1251.ads
Xinclude/xmlada/unicode-ccs-windows_1252.adb
Xinclude/xmlada/unicode-ccs-windows_1252.ads
Xinclude/xmlada/unicode-ccs.adb
Xinclude/xmlada/unicode-ccs.ads
Xinclude/xmlada/unicode-ces-basic_8bit.adb
Xinclude/xmlada/unicode-ces-basic_8bit.ads
Xinclude/xmlada/unicode-ces-utf16.adb
Xinclude/xmlada/unicode-ces-utf16.ads
Xinclude/xmlada/unicode-ces-utf32.adb
Xinclude/xmlada/unicode-ces-utf32.ads
Xinclude/xmlada/unicode-ces-utf8.adb
Xinclude/xmlada/unicode-ces-utf8.ads
Xinclude/xmlada/unicode-ces.adb
Xinclude/xmlada/unicode-ces.ads
Xinclude/xmlada/unicode-encodings.adb
Xinclude/xmlada/unicode-encodings.ads
Xinclude/xmlada/unicode-names-alpha_presentation_forms.ads
Xinclude/xmlada/unicode-names-arabic.ads
Xinclude/xmlada/unicode-names-arabic_present_formsa.ads
Xinclude/xmlada/unicode-names-arabic_present_formsb.ads
Xinclude/xmlada/unicode-names-armenian.ads
Xinclude/xmlada/unicode-names-arrows.ads
Xinclude/xmlada/unicode-names-basic_latin.ads
Xinclude/xmlada/unicode-names-bengali.ads
Xinclude/xmlada/unicode-names-block_elements.ads
Xinclude/xmlada/unicode-names-bopomofo.ads
Xinclude/xmlada/unicode-names-bopomofo_extended.ads
Xinclude/xmlada/unicode-names-box_drawing.ads
Xinclude/xmlada/unicode-names-braille_patterns.ads
Xinclude/xmlada/unicode-names-canadian_aboriginal.ads
Xinclude/xmlada/unicode-names-cherokee.ads
Xinclude/xmlada/unicode-names-cjk_compat_ideographs.ads
Xinclude/xmlada/unicode-names-cjk_compatibility.ads
Xinclude/xmlada/unicode-names-cjk_compatibility_forms.ads
Xinclude/xmlada/unicode-names-cjk_letters_months.ads
Xinclude/xmlada/unicode-names-cjk_radicals_supplement.ads
Xinclude/xmlada/unicode-names-cjk_symbols_and_punct.ads
Xinclude/xmlada/unicode-names-cjk_unified_ideographs.ads
Xinclude/xmlada/unicode-names-combining_diacritical.ads
Xinclude/xmlada/unicode-names-combining_half_marks.ads
Xinclude/xmlada/unicode-names-combining_marks_symbols.ads
Xinclude/xmlada/unicode-names-control_pictures.ads
Xinclude/xmlada/unicode-names-currency_symbols.ads
Xinclude/xmlada/unicode-names-cyrillic.ads
Xinclude/xmlada/unicode-names-devanagari.ads
Xinclude/xmlada/unicode-names-dingbats.ads
Xinclude/xmlada/unicode-names-enclosed_alphanumerics.ads
Xinclude/xmlada/unicode-names-ethiopic.ads
Xinclude/xmlada/unicode-names-general_punctuation.ads
Xinclude/xmlada/unicode-names-geometric_shapes.ads
Xinclude/xmlada/unicode-names-georgian.ads
Xinclude/xmlada/unicode-names-greek.ads
Xinclude/xmlada/unicode-names-greek_extended.ads
Xinclude/xmlada/unicode-names-gujarati.ads
Xinclude/xmlada/unicode-names-gurmukhi.ads
Xinclude/xmlada/unicode-names-half_full_withdt_forms.ads
Xinclude/xmlada/unicode-names-hangul_compatibility_jamo.ads
Xinclude/xmlada/unicode-names-hangul_jamo.ads
Xinclude/xmlada/unicode-names-hangul_syllables.ads
Xinclude/xmlada/unicode-names-hebrew.ads
Xinclude/xmlada/unicode-names-high_private_surrogates.ads
Xinclude/xmlada/unicode-names-high_surrogates.ads
Xinclude/xmlada/unicode-names-hiragana.ads
Xinclude/xmlada/unicode-names-ideograph_descr_chars.ads
Xinclude/xmlada/unicode-names-ipa_extensions.ads
Xinclude/xmlada/unicode-names-kanbun.ads
Xinclude/xmlada/unicode-names-kangxi_radicals.ads
Xinclude/xmlada/unicode-names-kannada.ads
Xinclude/xmlada/unicode-names-katakana.ads
Xinclude/xmlada/unicode-names-khmer.ads
Xinclude/xmlada/unicode-names-lao.ads
Xinclude/xmlada/unicode-names-latin_1_supplement.ads
Xinclude/xmlada/unicode-names-latin_extended_a.ads
Xinclude/xmlada/unicode-names-latin_extended_additional.ads
Xinclude/xmlada/unicode-names-latin_extended_b.ads
Xinclude/xmlada/unicode-names-letterlike_symbols.ads
Xinclude/xmlada/unicode-names-low_surrogates.ads
Xinclude/xmlada/unicode-names-malayalam.ads
Xinclude/xmlada/unicode-names-mathematical_operators.ads
Xinclude/xmlada/unicode-names-miscellaneous_symbols.ads
Xinclude/xmlada/unicode-names-miscellaneous_technical.ads
Xinclude/xmlada/unicode-names-mongolian.ads
Xinclude/xmlada/unicode-names-myanmar.ads
Xinclude/xmlada/unicode-names-number_forms.ads
Xinclude/xmlada/unicode-names-ogham.ads
Xinclude/xmlada/unicode-names-optical_chars_recognition.ads
Xinclude/xmlada/unicode-names-oriya.ads
Xinclude/xmlada/unicode-names-private_use.ads
Xinclude/xmlada/unicode-names-runic.ads
Xinclude/xmlada/unicode-names-sinhala.ads
Xinclude/xmlada/unicode-names-small_form_variants.ads
Xinclude/xmlada/unicode-names-spacing_modifier_letters.ads
Xinclude/xmlada/unicode-names-specials.ads
Xinclude/xmlada/unicode-names-super_and_sub_scripts.ads
Xinclude/xmlada/unicode-names-syriac.ads
Xinclude/xmlada/unicode-names-tamil.ads
Xinclude/xmlada/unicode-names-telugu.ads
Xinclude/xmlada/unicode-names-thaana.ads
Xinclude/xmlada/unicode-names-thai.ads
Xinclude/xmlada/unicode-names-tibetan.ads
Xinclude/xmlada/unicode-names-yi_radicals.ads
Xinclude/xmlada/unicode-names-yi_syllables.ads
Xinclude/xmlada/unicode-names.ads
Xinclude/xmlada/unicode.adb
Xinclude/xmlada/unicode.ads
Xshare/gps/plug-ins/xmlada_gps.py
Xshare/doc/xmlada/xml.html
Xshare/doc/xmlada/xml.info
X@dirrm share/doc/xmlada
X@dirrm include/xmlada
X@dirrm lib/xmlada/static
X@dirrm lib/xmlada/relocatable
X@dirrm lib/xmlada
X@dirrmtry lib/gnat
X@dirrmtry share/gps/plug-ins
3c4f61a8741951bb254d56f6707ed35e
exit
--- xmlada.shar ends here ---

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	gps
#	gps/Makefile
#	gps/distinfo
#	gps/files
#	gps/files/patch-Makefile.in
#	gps/files/patch-common-tty-terminals.c
#	gps/files/patch-gnatlib-gnat_src-gnatvsn.adb
#	gps/files/patch-gnatlib-gnatcoll_shared.gpr.in
#	gps/files/patch-shared.gpr
#	gps/pkg-descr
#	gps/pkg-plist
#
echo c - gps
mkdir -p gps > /dev/null 2>&1
echo x - gps/Makefile
sed 's/^X//' >gps/Makefile << '7418ff93ad63271af8cacec3fd1bf4cc'
X# New ports collection makefile for:  gps
X# Date created:                       12 December 2010
X# Whom:                               John Marino <draco@marino.st>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	gps
XPORTVERSION=	5.0.0
XCATEGORIES=	devel
XMASTER_SITES=	http://downloads.dragonlace.net/src/ \
X		http://dragonlace.mirrors.ada.cx/src/
X
XMAINTAINER=	draco@marino.st
XCOMMENT=	GNAT Programming Studio - IDE for Ada and many other languages
X
X#xmlada is also required, but it's a dependency of gprbuild-aux too
X#libgmp is also required, but it's a dependency of gnat-aux too
XBUILD_DEPENDS=	gnat-aux>20101204:${PORTSDIR}/lang/gnat-aux
XBUILD_DEPENDS+=	gtkada>=2.22:${PORTSDIR}/x11-toolkits/gtkada
XBUILD_DEPENDS+= gprbuild-aux>=20101120:${PORTSDIR}/devel/gprbuild-aux
XRUN_DEPENDS+=	gtkada>=2.22:${PORTSDIR}/x11-toolkits/gtkada
X
XGNU_CONFIGURE=		yes
XUSE_GMAKE=		yes
XUSE_BZIP2=		yes
XUSE_PERL5_BUILD=	yes
XALL_TARGET=		default
XCC=			gnatgcc
X
XMAKE_ENV+=		ADA_PROJECT_PATH=${PREFIX}/lib/gnat
X
XOPTIONS=		SYSLOG "Enable system logging" on
XOPTIONS+=		SQLITE "Enable SQLite database support" off
XOPTIONS+=		PGSQL  "Enable PostgreSQL database support" off
XOPTIONS+=		PYTHON "Enable Python scripts support" off
XOPTIONS+=		PYGTK  "Enable Python bindings to GTK" off
X
X.include <bsd.port.pre.mk>
X.include <bsd.port.options.mk>
X
X.if ${ARCH} == "amd64"
XCONFIGURE_TARGET=	x86_64-portbld-freebsd${OSREL}
X.endif
X
XCONFIGURE_ARGS+=	--with-gmp=${PREFIX}
XCONFIGURE_ARGS+=	--enable-shared-python=yes
X
X##############
X##  SYSLOG  ##
X##############
X
X.if defined(WITH_SYSLOG)
XCONFIGURE_ARGS+=	--enable-syslog=yes
X.else
XCONFIGURE_ARGS+=	--enable-syslog=no
X.endif
X
X##############
X##  SQLITE  ##
X##############
X
X.if defined(WITH_SQLITE)
XCONFIGURE_ARGS+=	--with-sqlite=${PREFIX}
XBUILD_DEPENDS+=		sqlite3>=3:${PORTSDIR}/databases/sqlite3
XRUN_DEPENDS+=		sqlite3>=3:${PORTSDIR}/databases/sqlite3
X.endif
X
X##################
X##  POSTGRESQL  ##
X##################
X
X.if defined(WITH_PGSQL)
XCONFIGURE_ARGS+=	--with-postgresql=${PREFIX}
XUSE_PGSQL=		true
X.endif
X
X##############
X##  PYTHON  ##
X##############
X
X.if defined(WITH_PYTHON)
XCONFIGURE_ARGS+=	--with-python=${PREFIX}
XBUILD_DEPENDS+=		python26>=2.6:${PORTSDIR}/lang/python26
XRUN_DEPENDS+=		python26>=2.6:${PORTSDIR}/lang/python26
X.else
XCONFIGURE_ARGS+=	--without-python
X.endif
X
X#############
X##  PYGTK  ##
X#############
X
X.if defined(WITH_PYGTK)
XCONFIGURE_ARGS+=	--enable-pygtk
XBUILD_DEPENDS+=		py-gtk2>=2.22:${PORTSDIR}/x11-toolkits/py-gtk2
XRUN_DEPENDS+=		py-gtk2>=2.22:${PORTSDIR}/x11-toolkits/py-gtk2
X.else
XCONFIGURE_ARGS+=	--disable-pygtk
X.endif
X
X.include <bsd.port.post.mk>
7418ff93ad63271af8cacec3fd1bf4cc
echo x - gps/distinfo
sed 's/^X//' >gps/distinfo << '7b31ab62a883e57ca429f3cd3cee9087'
XSHA256 (gps-5.0.0.tar.bz2) = 3eb34bca1868f7b762bf5bd5b753ca584b6d74cc2a95970970c66ce724b0cbc7
XSIZE (gps-5.0.0.tar.bz2) = 9325721
7b31ab62a883e57ca429f3cd3cee9087
echo c - gps/files
mkdir -p gps/files > /dev/null 2>&1
echo x - gps/files/patch-Makefile.in
sed 's/^X//' >gps/files/patch-Makefile.in << '1232edcae6f173801df3a4e2fa84f8b2'
X--- Makefile.in.orig	2010-12-04 07:21:32.000000000 +0100
X+++ Makefile.in	2010-12-14 17:31:51.000000000 +0100
X@@ -42,11 +42,6 @@
X 		share/plug-ins/_subversion_ \
X 		> share/plug-ins/subversion_native_windows.xml
X endif
X-	$(RM) $(sharedir)/gps/library/*.py
X-	$(RM) $(sharedir)/gps/library/*.xml
X-	$(RM) $(sharedir)/gps/plug-ins/*.py
X-	$(RM) $(sharedir)/gps/plug-ins/*.xml
X-	$(RMDIR) $(sharedir)/gps/templates
X # update runtime.xml before copying the plug-ins files.
X 	(cd distrib; $(PERL) from_impunit.pl)
X 	(cd share; tar cf - plug-ins/*.xml) | (cd $(sharedir)/gps; tar xf -)
1232edcae6f173801df3a4e2fa84f8b2
echo x - gps/files/patch-common-tty-terminals.c
sed 's/^X//' >gps/files/patch-common-tty-terminals.c << '36db8004aa1edb794b0f0b38a9c2359d'
X--- common/tty/terminals.c.orig	2010-12-04 03:57:46 +0000
X+++ common/tty/terminals.c
X@@ -31,7 +31,10 @@
X #ifndef WIN32
X 
X /* First defined some macro to identify easily some systems */
X-#if defined (__FreeBSD__) || defined (__NetBSD__)
X+#if defined (__FreeBSD__) \
X+ || defined (__OpenBSD__) \
X+ || defined (__NetBSD__)  \
X+ || defined (__DragonFly__) 
X #   define FREEBSD
X #endif
X #if defined (__alpha__) && defined (__osf__)
36db8004aa1edb794b0f0b38a9c2359d
echo x - gps/files/patch-gnatlib-gnat_src-gnatvsn.adb
sed 's/^X//' >gps/files/patch-gnatlib-gnat_src-gnatvsn.adb << 'e06ed1df29a782fbc4bda399270d43f0'
X--- gnatlib/gnat_src/gnatvsn.adb.orig	2010-12-04 08:12:30 +0000
X+++ gnatlib/gnat_src/gnatvsn.adb
X@@ -53,27 +53,13 @@ package body Gnatvsn is
X         " FOR A PARTICULAR PURPOSE.";
X    end Gnat_Free_Software;
X 
X-   Version_String : String (1 .. Ver_Len_Max);
X-   --  Import the C string defined in the (language-independent) source file
X-   --  version.c.
X-   --  The size is not the real one, which does not matter since we will
X-   --  check for the nul character in Gnat_Version_String.
X-   pragma Import (C, Version_String, "version_string");
X-
X    -------------------------
X    -- Gnat_Version_String --
X    -------------------------
X 
X    function Gnat_Version_String return String is
X-      NUL_Pos : Positive := 1;
X    begin
X-      loop
X-         exit when Version_String (NUL_Pos) = ASCII.NUL;
X-
X-         NUL_Pos := NUL_Pos + 1;
X-      end loop;
X-
X-      return Version_String (1 .. NUL_Pos - 1);
X+      return Gnat_Static_Version_String;
X    end Gnat_Version_String;
X 
X end Gnatvsn;
e06ed1df29a782fbc4bda399270d43f0
echo x - gps/files/patch-gnatlib-gnatcoll_shared.gpr.in
sed 's/^X//' >gps/files/patch-gnatlib-gnatcoll_shared.gpr.in << 'e63da6f01f41195ebc512edbeeedaa6e'
X--- gnatlib/gnatcoll_shared.gpr.in.orig	2010-12-04 00:20:09 +0000
X+++ gnatlib/gnatcoll_shared.gpr.in
X@@ -45,7 +45,7 @@ project GnatColl_Shared is
X             for Switches ("Ada") use
X               ("-g", "-O1", "-gnata", "-gnatVa", "-gnatQ", "-gnaty",
X                "-gnatwaCJe", "-gnat05");
X-            for Switches ("C") use ("-g", "-fdump-xref");
X+            for Switches ("C") use ("-g");
X          when "Production" =>
X             for Switches ("Ada") use
X               ("-O2", "-gnatn", "-gnatws", "-gnat05");
e63da6f01f41195ebc512edbeeedaa6e
echo x - gps/files/patch-shared.gpr
sed 's/^X//' >gps/files/patch-shared.gpr << 'bdd273b791289c8be0127e9ec9284ef6'
X--- shared.gpr.orig	2010-12-04 06:47:54 +0000
X+++ shared.gpr
X@@ -35,7 +35,7 @@ project Shared is
X                "-gnatwaCJe", "-gnat05");
X 
X             for Default_Switches ("C") use
X-              ("-g", "-O1", "-fdump-xref") & GnatColl_Shared.Gtk_Include;
X+              ("-g", "-O1") & GnatColl_Shared.Gtk_Include;
X 
X          when "Production" =>
X             for Default_Switches ("Ada") use
bdd273b791289c8be0127e9ec9284ef6
echo x - gps/pkg-descr
sed 's/^X//' >gps/pkg-descr << '6e8282dea0fc9505bd9bba109a0f46fb'
XThe GNAT Programming Studio (GPS) is a cutting-edge Free Software IDE that
Xstreamlines the interaction between developers and their software.  With its
Xintuitive interface, GPS is easy to use, simplying source navigation and
Xhighlighting fundamental ideas in the program.
X
XFeatures                          Tools
X  * Developer-friendly              * Language-sensitive editor
X  * Multi-language                  * Version control
X  * Multi-platform                  * Graphical debugger
X  * Modern GUI                      * Automatic code fixing
X  * Multiple document interface     * Graphs (call, dependencies, entities)
X  * Customizable                    * Application builder
X  * Extensible tool integration     * Visual file comparison
X  * Free Software                   * Source code reformatting
X                                    * Automatic body file generation
X                                    * intelligent source code navigation
X                                    * Project Explorer
X                                    * Project Wizard
X
XWWW: http://www.adacore.com/home/products/gnatpro/toolsuite/gps/
6e8282dea0fc9505bd9bba109a0f46fb
echo x - gps/pkg-plist
sed 's/^X//' >gps/pkg-plist << '91b846f392c47d0df3f8de27db95e25a'
X@comment $FreeBSD$
Xbin/gps
Xshare/doc/gps/html/welcome.jpg
Xshare/doc/gps/html/visual-diff.jpg
Xshare/doc/gps/html/vcs-explorer.jpg
Xshare/doc/gps/html/vcs-activities.jpg
Xshare/doc/gps/html/user_guide.png
Xshare/doc/gps/html/tutorial.png
Xshare/doc/gps/html/triangle_x.png
Xshare/doc/gps/html/tooltips.jpg
Xshare/doc/gps/html/toolchains-config.jpg
Xshare/doc/gps/html/tip-of-the-day.jpg
Xshare/doc/gps/html/tasks.jpg
Xshare/doc/gps/html/task-manager.jpg
Xshare/doc/gps/html/target-configuration-dialog.jpg
Xshare/doc/gps/html/switch-editor-revert.jpg
Xshare/doc/gps/html/switch-editor.jpg
Xshare/doc/gps/html/square_x.png
Xshare/doc/gps/html/source-editor.jpg
Xshare/doc/gps/html/smart-completion.jpg
Xshare/doc/gps/html/shell-window.jpg
Xshare/doc/gps/html/servers-configuration.jpg
Xshare/doc/gps/html/search-options.jpg
Xshare/doc/gps/html/search-hide.jpg
Xshare/doc/gps/html/scenario-view.jpg
Xshare/doc/gps/html/scenarios.jpg
Xshare/doc/gps/html/save-dialog.jpg
Xshare/doc/gps/html/revision-view.jpg
Xshare/doc/gps/html/report-of-analysis_tree.jpg
Xshare/doc/gps/html/report-of-analysis_flat.jpg
Xshare/doc/gps/html/remote-view.jpg
Xshare/doc/gps/html/remote-view-full.jpg
Xshare/doc/gps/html/project-wizard.jpg
Xshare/doc/gps/html/project-view.jpg
Xshare/doc/gps/html/project-properties.jpg
Xshare/doc/gps/html/project-modified.jpg
Xshare/doc/gps/html/project-deps.jpg
Xshare/doc/gps/html/project-browser.jpg
Xshare/doc/gps/html/preferences-general.jpg
Xshare/doc/gps/html/overview.png
Xshare/doc/gps/html/outline-view.jpg
Xshare/doc/gps/html/open-from-project.jpg
Xshare/doc/gps/html/open-file.jpg
Xshare/doc/gps/html/naming-scheme.jpg
Xshare/doc/gps/html/messages.jpg
Xshare/doc/gps/html/memory-view.jpg
Xshare/doc/gps/html/main-gps.jpg
Xshare/doc/gps/html/locations-view.jpg
Xshare/doc/gps/html/key-shortcuts.jpg
Xshare/doc/gps/html/help_index.html
Xshare/doc/gps/html/gps-welcome.html
Xshare/doc/gps/html/gps-vcs-up-to-date.jpg
Xshare/doc/gps/html/gps-vcs-unknown.jpg
Xshare/doc/gps/html/gps-vcs-removed.jpg
Xshare/doc/gps/html/gps-vcs-not-registered.jpg
Xshare/doc/gps/html/gps-vcs-needs-update.jpg
Xshare/doc/gps/html/gps-vcs-needs-merge.jpg
Xshare/doc/gps/html/gps-vcs-modified.jpg
Xshare/doc/gps/html/gps-vcs-has-conflicts.jpg
Xshare/doc/gps/html/gps-vcs-added.jpg
Xshare/doc/gps/html/gps_title.gif
Xshare/doc/gps/html/gps-splash.png
Xshare/doc/gps/html/gps-splash-gpl.png
Xshare/doc/gps/html/gps-splash-academic.png
Xshare/doc/gps/html/gps_index.xml
Xshare/doc/gps/html/gps.html
Xshare/doc/gps/html/file-view.jpg
Xshare/doc/gps/html/explorer-scenario.jpg
Xshare/doc/gps/html/entity-view.jpg
Xshare/doc/gps/html/entity-browser.jpg
Xshare/doc/gps/html/dot_x.png
Xshare/doc/gps/html/docgen.jpg
Xshare/doc/gps/html/diamond_x.png
Xshare/doc/gps/html/dependency-browser.jpg
Xshare/doc/gps/html/colors.jpg
Xshare/doc/gps/html/circle_x.png
Xshare/doc/gps/html/canvas.jpg
Xshare/doc/gps/html/call-stack.jpg
Xshare/doc/gps/html/call-graph.jpg
Xshare/doc/gps/html/breakpoints.jpg
Xshare/doc/gps/html/bp-advanced.jpg
Xshare/doc/gps/html/assembly.jpg
Xshare/doc/gps/html/aliases.jpg
Xshare/doc/gps/html/about.jpg
Xshare/gps/templates/simple_project/src/@_main_name_@.adb
Xshare/gps/templates/simple_project/simple_project.gpt
Xshare/gps/templates/simple_project/@_project_name_@.gpr
Xshare/gps/templates/gtkada_minimal/src/@_main_name_@.adb
Xshare/gps/templates/gtkada_minimal/@_project_name_@.gpr
Xshare/gps/templates/gtkada_minimal/gtkada_minimal.gpt
Xshare/gps/templates/aws_web_server/web_server.gpt
Xshare/gps/templates/aws_web_server/tmplt/main.thtml
Xshare/gps/templates/aws_web_server/src/@_project_name_@-main.adb
Xshare/gps/templates/aws_web_server/src/@_project_name_@-dispatchers.ads
Xshare/gps/templates/aws_web_server/src/@_project_name_@-dispatchers.adb
Xshare/gps/templates/aws_web_server/src/@_project_name_@.ads
Xshare/gps/templates/aws_web_server/@_project_name_@.gpr
Xshare/gps/templates/aws_web_server/img/gps_logo.png
Xshare/gps/templates/aws_web_server/css/style.css
Xshare/gps/templates/aws_web_server_blocks/web_server_blocks.gpt
Xshare/gps/templates/aws_web_server_blocks/tmplt/widget_counter.thtml
Xshare/gps/templates/aws_web_server_blocks/tmplt/r_widget_counter.txml
Xshare/gps/templates/aws_web_server_blocks/tmplt/main.thtml
Xshare/gps/templates/aws_web_server_blocks/src/@_project_name_@-web_blocks.ads
Xshare/gps/templates/aws_web_server_blocks/src/@_project_name_@-web_blocks.adb
Xshare/gps/templates/aws_web_server_blocks/src/@_project_name_@-main.adb
Xshare/gps/templates/aws_web_server_blocks/src/@_project_name_@-dispatchers.ads
Xshare/gps/templates/aws_web_server_blocks/src/@_project_name_@-dispatchers.adb
Xshare/gps/templates/aws_web_server_blocks/src/@_project_name_@-ajax.ads
Xshare/gps/templates/aws_web_server_blocks/src/@_project_name_@-ajax.adb
Xshare/gps/templates/aws_web_server_blocks/src/@_project_name_@.ads
Xshare/gps/templates/aws_web_server_blocks/@_project_name_@.gpr
Xshare/gps/templates/aws_web_server_blocks/open_readme.py
Xshare/gps/templates/aws_web_server_blocks/makefile
Xshare/gps/templates/aws_web_server_blocks/js/scriptaculous.js
Xshare/gps/templates/aws_web_server_blocks/js/prototype.js
Xshare/gps/templates/aws_web_server_blocks/js/behaviour.js
Xshare/gps/templates/aws_web_server_blocks/js/aws.tjs
Xshare/gps/templates/aws_web_server_blocks/js/aws_kernel.tjs
Xshare/gps/templates/aws_web_server_blocks/js/ajax_api.tjs
Xshare/gps/templates/aws_web_server_blocks/img/gps_logo.png
Xshare/gps/templates/aws_web_server_blocks/gen/templates.tada
Xshare/gps/templates/aws_web_server_blocks/css/style.css
Xshare/gps/templates/aws_web_server_blocks/README
Xshare/gps/templates/aws_simple_web_server/src/@_project_name_@-main.adb
Xshare/gps/templates/aws_simple_web_server/src/@_project_name_@-callbacks.ads
Xshare/gps/templates/aws_simple_web_server/src/@_project_name_@-callbacks.adb
Xshare/gps/templates/aws_simple_web_server/src/@_project_name_@.ads
Xshare/gps/templates/aws_simple_web_server/simple_web_server.gpt
Xshare/gps/templates/aws_simple_web_server/@_project_name_@.gpr
Xshare/gps/templates/ajis_hello/src_java/com/adacore/example/@_Main_Name_@.java
Xshare/gps/templates/ajis_hello/src_ada/hello.ads
Xshare/gps/templates/ajis_hello/src_ada/hello.adb
Xshare/gps/templates/ajis_hello/@_project_name_@.gpr
Xshare/gps/templates/ajis_hello/ajis_hello.gpt
Xshare/gps/templates/ajis_hello/Makefile
Xshare/gps/shell_commands.xml
Xshare/gps/readonly.gpr
Xshare/gps/predefined_ada.xml
Xshare/gps/plug-ins/zoom.py
Xshare/gps/plug-ins/xml_support.py
Xshare/gps/plug-ins/xcov.py
Xshare/gps/plug-ins/url.py
Xshare/gps/plug-ins/toolchains.xml
Xshare/gps/plug-ins/tip_of_the_day.py
Xshare/gps/plug-ins/text_utils.py
Xshare/gps/plug-ins/subversion.xml
Xshare/gps/plug-ins/spark_support.py
Xshare/gps/plug-ins/spark/spark.py
Xshare/gps/plug-ins/sort_selection.py
Xshare/gps/plug-ins/shell.py
Xshare/gps/plug-ins/runtime.xml
Xshare/gps/plug-ins/reset_gps_registry.py
Xshare/gps/plug-ins/rectangles.py
Xshare/gps/plug-ins/python_support.py
Xshare/gps/plug-ins/python_doc.py
Xshare/gps/plug-ins/protocols.xml
Xshare/gps/plug-ins/projects.xml
Xshare/gps/plug-ins/pipe.py
Xshare/gps/plug-ins/os_utils.py
Xshare/gps/plug-ins/navigation_utils.py
Xshare/gps/plug-ins/methods.py
Xshare/gps/plug-ins/locations_view_utils.py
Xshare/gps/plug-ins/listvars.py
Xshare/gps/plug-ins/languages.xml
Xshare/gps/plug-ins/images/tip_task_manager.png
Xshare/gps/plug-ins/images/tip_os_shell.png
Xshare/gps/plug-ins/images/tip_notebook_tabs_position.png
Xshare/gps/plug-ins/images/tip_multiple_views.png
Xshare/gps/plug-ins/images/tip_multi_language_builder.png
Xshare/gps/plug-ins/images/tip_makefile_support.png
Xshare/gps/plug-ins/images/tip_keyboard_macro.png
Xshare/gps/plug-ins/images/tip_jump_to_first_location.png
Xshare/gps/plug-ins/images/tip_insert_spaces_with_tab.png
Xshare/gps/plug-ins/images/tip_entity_view.png
Xshare/gps/plug-ins/images/tip_entity_view_dnd.png
Xshare/gps/plug-ins/images/tip_build_menu.png
Xshare/gps/plug-ins/images/tip_all_occurrences.png
Xshare/gps/plug-ins/icons.xml
Xshare/gps/plug-ins/gps_utils/switches.py
Xshare/gps/plug-ins/gps_utils/__init__.py
Xshare/gps/plug-ins/gps_utils/highlighter.py
Xshare/gps/plug-ins/gps_utils/gnat_rules.py
Xshare/gps/plug-ins/gps_utils/gnatcheck_rules_editor.py
Xshare/gps/plug-ins/gps_utils/gnatcheck_default.py
Xshare/gps/plug-ins/gps_utils/console_process.py
Xshare/gps/plug-ins/gpr.xml
Xshare/gps/plug-ins/gnat_switches.py
Xshare/gps/plug-ins/gnatstub.xml
Xshare/gps/plug-ins/gnatstack.py
Xshare/gps/plug-ins/gnatpsta.py
Xshare/gps/plug-ins/gnatpp.xml
Xshare/gps/plug-ins/gnatmetric.xml
Xshare/gps/plug-ins/gnatdist_support.py
Xshare/gps/plug-ins/gnatcheck.py
Xshare/gps/plug-ins/git.xml
Xshare/gps/plug-ins/git_support.py
Xshare/gps/plug-ins/gcov.py
Xshare/gps/plug-ins/expanded_code.py
Xshare/gps/plug-ins/editors.py
Xshare/gps/plug-ins/docgen_base_tags.py
Xshare/gps/plug-ins/dispatching.py
Xshare/gps/plug-ins/cvs.xml
Xshare/gps/plug-ins/c_support.xml
Xshare/gps/plug-ins/csharp.xml
Xshare/gps/plug-ins/codepeer.py
Xshare/gps/plug-ins/clearcase.xml
Xshare/gps/plug-ins/childtree.png
Xshare/gps/plug-ins/childtree2.png
Xshare/gps/plug-ins/changelog.xml
Xshare/gps/plug-ins/build_targets.xml
Xshare/gps/plug-ins/build_modes.xml
Xshare/gps/plug-ins/block_completion.py
Xshare/gps/plug-ins/auto_highlight_occurrences.py
Xshare/gps/plug-ins/align.py
Xshare/gps/plug-ins/ada-support.xml
Xshare/gps/plug-ins/ada_support.py
Xshare/gps/plug-ins/Makefile.py
Xshare/gps/perspectives.xml
Xshare/gps/library/vi.py
Xshare/gps/library/unused_entities.py
Xshare/gps/library/unicode.py
Xshare/gps/library/skeleton.py
Xshare/gps/library/simple_project.py
Xshare/gps/library/separate.py
Xshare/gps/library/save_on_compile.py
Xshare/gps/library/pygps/tree.py
Xshare/gps/library/pygps/project.py
Xshare/gps/library/pygps/notebook.py
Xshare/gps/library/pygps/__init__.py
Xshare/gps/library/ppc.xml
Xshare/gps/library/open_file.py
Xshare/gps/library/online_support.py
Xshare/gps/library/occurrences.py
Xshare/gps/library/local_history.py
Xshare/gps/library/ispell.py
Xshare/gps/library/isearch.py
Xshare/gps/library/highlight_selection.py
Xshare/gps/library/gnatr.xml
Xshare/gps/library/gnatpp_switches.py
Xshare/gps/library/first_subtype.py
Xshare/gps/library/filepos.py
Xshare/gps/library/filedeps.py
Xshare/gps/library/execute_extended.py
Xshare/gps/library/enter.xml
Xshare/gps/library/emacs.xml
Xshare/gps/library/eclipse.py
Xshare/gps/library/dependencies.py
Xshare/gps/library/debugger.py
Xshare/gps/library/create_missing_dirs.py
Xshare/gps/library/createfile.py
Xshare/gps/library/copy_paste_toolbar.py
Xshare/gps/library/copy_paste.py
Xshare/gps/library/autognatpp.py
Xshare/gps/library/autoformat.py
Xshare/gps/library/auto_changelog.py
Xshare/gps/library/addr2line.py
Xshare/gps/library/GPS_old.py
Xshare/gps/icons/other/welcome_header.png
Xshare/gps/icons/other/get_started.png
Xshare/gps/icons/other/button_tutorial.png
Xshare/gps/icons/other/button_tutorial_over.png
Xshare/gps/icons/other/button_overview.png
Xshare/gps/icons/other/button_overview_over.png
Xshare/gps/icons/other/button_guide.png
Xshare/gps/icons/other/button_guide_over.png
Xshare/gps/icons/other/adacore_logo.png
Xshare/gps/icons/9px/wrench.png
Xshare/gps/icons/9px/wrench_multi.png
Xshare/gps/icons/9px/partially_covered_code.png
Xshare/gps/icons/9px/non_executed_code.png
Xshare/gps/icons/9px/line_might_have_code.png
Xshare/gps/icons/9px/line_has_code.png
Xshare/gps/icons/9px/executed_code.png
Xshare/gps/icons/9px/build_warning.png
Xshare/gps/icons/9px/build_warning_fixable.png
Xshare/gps/icons/9px/build_style.png
Xshare/gps/icons/9px/build_style_fixable.png
Xshare/gps/icons/9px/build_error.png
Xshare/gps/icons/9px/build_error_fixable.png
Xshare/gps/icons/48px/gps_48.png
Xshare/gps/icons/32px/gps_32.png
Xshare/gps/icons/24px/undo_24.png
Xshare/gps/icons/24px/syntax_check_24.png
Xshare/gps/icons/24px/stop_24.png
Xshare/gps/icons/24px/step_24.png
Xshare/gps/icons/24px/stack_up_24.png
Xshare/gps/icons/24px/stack_down_24.png
Xshare/gps/icons/24px/semantic_check_24.png
Xshare/gps/icons/24px/save_24.png
Xshare/gps/icons/24px/redo_24.png
Xshare/gps/icons/24px/play_24.png
Xshare/gps/icons/24px/open_24.png
Xshare/gps/icons/24px/next_24.png
Xshare/gps/icons/24px/newfile_24.png
Xshare/gps/icons/24px/goto_previous_24.png
Xshare/gps/icons/24px/goto_next_24.png
Xshare/gps/icons/24px/finish_24.png
Xshare/gps/icons/24px/cut_24.png
Xshare/gps/icons/24px/custom_build_24.png
Xshare/gps/icons/24px/copy_24.png
Xshare/gps/icons/24px/compute_xref_24.png
Xshare/gps/icons/24px/compile_24.png
Xshare/gps/icons/24px/clipboard_24.png
Xshare/gps/icons/24px/cleanup_24.png
Xshare/gps/icons/24px/build_main_24.png
Xshare/gps/icons/24px/build_all_24.png
Xshare/gps/icons/20px/vcs-up-to-date.png
Xshare/gps/icons/20px/vcs-unknown.png
Xshare/gps/icons/20px/vcs-removed.png
Xshare/gps/icons/20px/vcs-not-registered.png
Xshare/gps/icons/20px/vcs-needs-update.png
Xshare/gps/icons/20px/vcs-needs-merge.png
Xshare/gps/icons/20px/vcs-modified.png
Xshare/gps/icons/20px/vcs-has-conflicts.png
Xshare/gps/icons/20px/vcs-added.png
Xshare/gps/icons/18px/undo_18.png
Xshare/gps/icons/18px/syntax_check_18.png
Xshare/gps/icons/18px/stop_18.png
Xshare/gps/icons/18px/step_18.png
Xshare/gps/icons/18px/stack_up_18.png
Xshare/gps/icons/18px/stack_down_18.png
Xshare/gps/icons/18px/semantic_check_18.png
Xshare/gps/icons/18px/save_18.png
Xshare/gps/icons/18px/redo_18.png
Xshare/gps/icons/18px/play_18.png
Xshare/gps/icons/18px/open_18.png
Xshare/gps/icons/18px/next_18.png
Xshare/gps/icons/18px/newfile_18.png
Xshare/gps/icons/18px/goto_previous_18.png
Xshare/gps/icons/18px/goto_next_18.png
Xshare/gps/icons/18px/finish_18.png
Xshare/gps/icons/18px/cut_18.png
Xshare/gps/icons/18px/custom_build_18.png
Xshare/gps/icons/18px/copy_18.png
Xshare/gps/icons/18px/compute_xref_18.png
Xshare/gps/icons/18px/compile_18.png
Xshare/gps/icons/18px/clipboard_18.png
Xshare/gps/icons/18px/cleanup_18.png
Xshare/gps/icons/18px/build_main_18.png
Xshare/gps/icons/18px/build_all_18.png
Xshare/gps/icons/16px/warning.png
Xshare/gps/icons/16px/undo_16.png
Xshare/gps/icons/16px/syntax_check_16.png
Xshare/gps/icons/16px/sync_to_remote.png
Xshare/gps/icons/16px/sync_to_local.png
Xshare/gps/icons/16px/stop_16.png
Xshare/gps/icons/16px/step_16.png
Xshare/gps/icons/16px/stack_up_16.png
Xshare/gps/icons/16px/stack_down_16.png
Xshare/gps/icons/16px/semantic_check_16.png
Xshare/gps/icons/16px/save_16.png
Xshare/gps/icons/16px/redo_16.png
Xshare/gps/icons/16px/project_box_warning.png
Xshare/gps/icons/16px/project_box.png
Xshare/gps/icons/16px/project_box_pencil.png
Xshare/gps/icons/16px/project_box_open.png
Xshare/gps/icons/16px/project_box_open_altered.png
Xshare/gps/icons/16px/project_box_error.png
Xshare/gps/icons/16px/project_box_altered.png
Xshare/gps/icons/16px/play_16.png
Xshare/gps/icons/16px/open_16.png
Xshare/gps/icons/16px/next_16.png
Xshare/gps/icons/16px/newfile_b_16.png
Xshare/gps/icons/16px/newfile_16.png
Xshare/gps/icons/16px/gps_16.png
Xshare/gps/icons/16px/goto_previous_16.png
Xshare/gps/icons/16px/goto_next_16.png
Xshare/gps/icons/16px/folder_open.png
Xshare/gps/icons/16px/folder_o_open.png
Xshare/gps/icons/16px/folder_o_closed.png
Xshare/gps/icons/16px/folder_e_open.png
Xshare/gps/icons/16px/folder_e_closed.png
Xshare/gps/icons/16px/folder_closed.png
Xshare/gps/icons/16px/finish_16.png
Xshare/gps/icons/16px/file_warning.png
Xshare/gps/icons/16px/file.png
Xshare/gps/icons/16px/file_pencil.png
Xshare/gps/icons/16px/file_error.png
Xshare/gps/icons/16px/file_altered.png
Xshare/gps/icons/16px/error.png
Xshare/gps/icons/16px/entities/triangle_xs.png
Xshare/gps/icons/16px/entities/triangle_x.png
Xshare/gps/icons/16px/entities/triangle_s.png
Xshare/gps/icons/16px/entities/triangle_ps.png
Xshare/gps/icons/16px/entities/triangle_p.png
Xshare/gps/icons/16px/entities/triangle.png
Xshare/gps/icons/16px/entities/square_xs.png
Xshare/gps/icons/16px/entities/square_x.png
Xshare/gps/icons/16px/entities/square_s.png
Xshare/gps/icons/16px/entities/square_ps.png
Xshare/gps/icons/16px/entities/square_p.png
Xshare/gps/icons/16px/entities/square.png
Xshare/gps/icons/16px/entities/dot_xs.png
Xshare/gps/icons/16px/entities/dot_x.png
Xshare/gps/icons/16px/entities/dot_s.png
Xshare/gps/icons/16px/entities/dot_ps.png
Xshare/gps/icons/16px/entities/dot_p.png
Xshare/gps/icons/16px/entities/dot.png
Xshare/gps/icons/16px/entities/diamond_xs.png
Xshare/gps/icons/16px/entities/diamond_x.png
Xshare/gps/icons/16px/entities/diamond_s.png
Xshare/gps/icons/16px/entities/diamond_ps.png
Xshare/gps/icons/16px/entities/diamond_p.png
Xshare/gps/icons/16px/entities/diamond.png
Xshare/gps/icons/16px/entities/circle_xs.png
Xshare/gps/icons/16px/entities/circle_x.png
Xshare/gps/icons/16px/entities/circle_s.png
Xshare/gps/icons/16px/entities/circle_ps.png
Xshare/gps/icons/16px/entities/circle_p.png
Xshare/gps/icons/16px/entities/circle.png
Xshare/gps/icons/16px/debug_indicator.png
Xshare/gps/icons/16px/debug_break.png
Xshare/gps/icons/16px/cut_16.png
Xshare/gps/icons/16px/custom_build_16.png
Xshare/gps/icons/16px/copy_16.png
Xshare/gps/icons/16px/compute_xref_16.png
Xshare/gps/icons/16px/compile_16.png
Xshare/gps/icons/16px/clipboard_16.png
Xshare/gps/icons/16px/cleanup_16.png
Xshare/gps/icons/16px/build_main_16.png
Xshare/gps/icons/16px/build_all_16.png
Xshare/gps/icons/16px/box.png
Xshare/gps/gps-splash.png
Xshare/gps/gps-animation.png
Xshare/gps/gps-animation.gif
Xshare/gps/docgen2/userdef.tmpl
Xshare/gps/docgen2/tree.tmpl
Xshare/gps/docgen2/tree_elem.tmpl
Xshare/gps/docgen2/support/images/variable-spec.png
Xshare/gps/docgen2/support/images/type-spec.png
Xshare/gps/docgen2/support/images/tree_root.png
Xshare/gps/docgen2/support/images/tree_item.png
Xshare/gps/docgen2/support/images/treechildren_bg.png
Xshare/gps/docgen2/support/images/treechildren_bg_bottom.png
Xshare/gps/docgen2/support/images/subprogram-spec.png
Xshare/gps/docgen2/support/images/sidebarframe.png
Xshare/gps/docgen2/support/images/sidebarframebottom.png
Xshare/gps/docgen2/support/images/rightside.png
Xshare/gps/docgen2/support/images/rightsidebottom.png
Xshare/gps/docgen2/support/images/package-spec.png
Xshare/gps/docgen2/support/images/nav2_btn_up.png
Xshare/gps/docgen2/support/images/nav2_btn_mo.png
Xshare/gps/docgen2/support/images/nav1_btn_up.png
Xshare/gps/docgen2/support/images/nav1_btn_mo.png
Xshare/gps/docgen2/support/images/menubar.png
Xshare/gps/docgen2/support/images/menubarbottom.png
Xshare/gps/docgen2/support/images/link.png
Xshare/gps/docgen2/support/images/generic-spec.png
Xshare/gps/docgen2/support/images/arrow_open.png
Xshare/gps/docgen2/support/images/arrow_close.png
Xshare/gps/docgen2/support/docgen.js
Xshare/gps/docgen2/support/docgen.css
Xshare/gps/docgen2/src.tmpl
Xshare/gps/docgen2/navigation.tmpl
Xshare/gps/docgen2/navbutton.tmpl
Xshare/gps/docgen2/multilink.tmpl
Xshare/gps/docgen2/index_entry.tmpl
Xshare/gps/docgen2/html.tmpl
Xshare/gps/docgen2/entities.tmpl
Xshare/gps/docgen2/custom/tags.css
Xshare/gps/default.gpr
Xshare/gps/aunit/test_suite.ads.tmpl
Xshare/gps/aunit/test_suite.adb.tmpl
Xshare/gps/aunit/test_case.ads.tmpl
Xshare/gps/aunit/test_case.adb.tmpl
Xshare/gps/aunit/harness.adb.tmpl
Xshare/gps/activity_log.tmplt
Xshare/examples/gps/xml/gnatmake.xml
Xshare/examples/gps/xml/README
Xshare/examples/gps/tutorial/struct/values-operations.ads
Xshare/examples/gps/tutorial/struct/values-operations.adb
Xshare/examples/gps/tutorial/struct/values.ads
Xshare/examples/gps/tutorial/struct/values.adb
Xshare/examples/gps/tutorial/struct/tokens.ads
Xshare/examples/gps/tutorial/struct/tokens.adb
Xshare/examples/gps/tutorial/struct/instructions.ads
Xshare/examples/gps/tutorial/struct/instructions.adb
Xshare/examples/gps/tutorial/sdc.gpr
Xshare/examples/gps/tutorial/projects/prj4/src4.adb
Xshare/examples/gps/tutorial/projects/prj4.gpr
Xshare/examples/gps/tutorial/projects/prj3/src3.adb
Xshare/examples/gps/tutorial/projects/prj3.gpr
Xshare/examples/gps/tutorial/projects/prj2/src2.adb
Xshare/examples/gps/tutorial/projects/prj2.gpr
Xshare/examples/gps/tutorial/projects/prj1/src1.adb
Xshare/examples/gps/tutorial/projects/prj1.gpr
Xshare/examples/gps/tutorial/obj/.cvsignore
Xshare/examples/gps/tutorial/input.txt
Xshare/examples/gps/tutorial/common/stack.ads
Xshare/examples/gps/tutorial/common/stack.adb
Xshare/examples/gps/tutorial/common/sdc.ads
Xshare/examples/gps/tutorial/common/sdc.adb
Xshare/examples/gps/tutorial/common/screen_output.ads
Xshare/examples/gps/tutorial/common/screen_output.adb
Xshare/examples/gps/tutorial/common/input.ads
Xshare/examples/gps/tutorial/common/input.adb
Xshare/examples/gps/tutorial/common/except.ads
Xshare/examples/gps/remote/src/instr.ads
Xshare/examples/gps/remote/src/instr.adb
Xshare/examples/gps/remote/src/gen_list.ads
Xshare/examples/gps/remote/src/gen_list.adb
Xshare/examples/gps/remote/src/demo1.adb
Xshare/examples/gps/remote/remote.gpr
Xshare/examples/gps/remote/obj/.cvsignore
Xshare/examples/gps/remote/my_ssh
Xshare/examples/gps/remote/README
Xshare/examples/gps/python/remote_server_assign_variable.py
Xshare/examples/gps/python/reformat_project.py
Xshare/examples/gps/python/readonly.py
Xshare/examples/gps/python/project_view.py
Xshare/examples/gps/python/prefs.py
Xshare/examples/gps/python/misc_text_utils.py
Xshare/examples/gps/python/indent_all.py
Xshare/examples/gps/python/hello_gtk.py
Xshare/examples/gps/python/globals.py
Xshare/examples/gps/python/doc.py
Xshare/examples/gps/python/docgen_gtkada.py
Xshare/examples/gps/python/colors.py
Xshare/examples/gps/python/clipboards.py
Xshare/examples/gps/python/build.py
Xshare/examples/gps/python/bookmarks.py
Xshare/examples/gps/python/ada_expansion.py
Xshare/examples/gps/python/README
Xshare/examples/gps/language/language_custom.h
Xshare/examples/gps/language/language_custom.ads
Xshare/examples/gps/language/gprcustom.c
Xshare/examples/gps/language/gpr_custom.ads
Xshare/examples/gps/language/gpr_custom.adb
Xshare/examples/gps/language/README
Xshare/examples/gps/language/Makefile
Xshare/examples/gps/demo/struct/values-operations.ads
Xshare/examples/gps/demo/struct/values-operations.adb
Xshare/examples/gps/demo/struct/values.ads
Xshare/examples/gps/demo/struct/values.adb
Xshare/examples/gps/demo/struct/tokens.ads
Xshare/examples/gps/demo/struct/tokens.adb
Xshare/examples/gps/demo/struct/instructions.ads
Xshare/examples/gps/demo/struct/instructions.adb
Xshare/examples/gps/demo/projects/prj4/src4.adb
Xshare/examples/gps/demo/projects/prj4.gpr
Xshare/examples/gps/demo/projects/prj3/src3.adb
Xshare/examples/gps/demo/projects/prj3.gpr
Xshare/examples/gps/demo/projects/prj2/src2.adb
Xshare/examples/gps/demo/projects/prj2.gpr
Xshare/examples/gps/demo/projects/prj1/src1.adb
Xshare/examples/gps/demo/projects/prj1.gpr
Xshare/examples/gps/demo/obj/.cvsignore
Xshare/examples/gps/demo/matrix_handling/matrix_utils.c
Xshare/examples/gps/demo/matrix_handling/matrix.h
Xshare/examples/gps/demo/matrix_handling/matrix.c
Xshare/examples/gps/demo/matrix_handling/matrix_binding.ads
Xshare/examples/gps/demo/matrix_handling/matrix_binding.adb
Xshare/examples/gps/demo/input.txt
Xshare/examples/gps/demo/demo.gpr
Xshare/examples/gps/demo/common/stack.ads
Xshare/examples/gps/demo/common/stack.adb
Xshare/examples/gps/demo/common/sdc.ads
Xshare/examples/gps/demo/common/sdc.adb
Xshare/examples/gps/demo/common/screen_output.ads
Xshare/examples/gps/demo/common/screen_output.adb
Xshare/examples/gps/demo/common/input.ads
Xshare/examples/gps/demo/common/input.adb
Xshare/examples/gps/demo/common/except.ads
X@dirrm share/examples/gps/xml
X@dirrm share/examples/gps/tutorial/struct
X@dirrm share/examples/gps/tutorial/projects/prj4
X@dirrm share/examples/gps/tutorial/projects/prj3
X@dirrm share/examples/gps/tutorial/projects/prj2
X@dirrm share/examples/gps/tutorial/projects/prj1
X@dirrm share/examples/gps/tutorial/projects
X@dirrm share/examples/gps/tutorial/obj
X@dirrm share/examples/gps/tutorial/matrix_handling
X@dirrm share/examples/gps/tutorial/common
X@dirrm share/examples/gps/tutorial
X@dirrm share/examples/gps/remote/src
X@dirrm share/examples/gps/remote/obj
X@dirrm share/examples/gps/remote
X@dirrm share/examples/gps/python
X@dirrm share/examples/gps/language
X@dirrm share/examples/gps/demo/struct
X@dirrm share/examples/gps/demo/projects/prj4
X@dirrm share/examples/gps/demo/projects/prj3
X@dirrm share/examples/gps/demo/projects/prj2
X@dirrm share/examples/gps/demo/projects/prj1
X@dirrm share/examples/gps/demo/projects
X@dirrm share/examples/gps/demo/obj
X@dirrm share/examples/gps/demo/matrix_handling
X@dirrm share/examples/gps/demo/common
X@dirrm share/examples/gps/demo
X@dirrm share/examples/gps
X@dirrm share/gps/templates/simple_project/src
X@dirrm share/gps/templates/simple_project/obj
X@dirrm share/gps/templates/simple_project
X@dirrm share/gps/templates/gtkada_minimal/src
X@dirrm share/gps/templates/gtkada_minimal/obj
X@dirrm share/gps/templates/gtkada_minimal
X@dirrm share/gps/templates/aws_web_server/tmplt
X@dirrm share/gps/templates/aws_web_server/src
X@dirrm share/gps/templates/aws_web
Comment 1 Wen Heping freebsd_committer 2011-01-10 00:14:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 wenheping 2011-01-23 14:19:26 UTC
Hi,

  I attached the shar file of lang/gnat-aux here.
  It fix the plist error.


wen
Comment 3 dfilter freebsd_committer 2011-02-15 07:32:55 UTC
wen         2011-02-15 07:32:50 UTC

  FreeBSD ports repository

  Modified files:
    lang                 Makefile 
  Added files:
    lang/gnat-aux        Makefile distinfo pkg-descr pkg-plist 
  Log:
  GNAT AUX is based on the trunk version of Free Software Foundation's GNU
  Compiler Collection.  It carries with it the GMGPL license, the modified
  version of the GPL that exempts generic instantiation from resulting in
  a GPL-licensed executable.  This version of GNAT also carries with it the
  GCC Runtime Library Exception, so the resulting binaries have no licensing
  requirements.  Binaries produced by GNAT AUX should be handled the same as
  binaries produced by any FSF GNAT compiler.
  
  GNAT AUX implements the full Ada-83, Ada-95, and Ada-2005 language standards.
  It also implements some features of the draft Ada-2012 standard, which are
  optionally accessible via the -gnat2012 switch or Ada_2012 pragma.
  
  WWW: http://www.dragonlace.net/
  
  PR:             ports/153828
  Submitted by:   John Marino <freebsdml@marino.st>
  
  Revision  Changes    Path
  1.716     +1 -0      ports/lang/Makefile
  1.1       +179 -0    ports/lang/gnat-aux/Makefile (new)
  1.1       +4 -0      ports/lang/gnat-aux/distinfo (new)
  1.1       +13 -0     ports/lang/gnat-aux/pkg-descr (new)
  1.1       +40 -0     ports/lang/gnat-aux/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter freebsd_committer 2011-02-17 09:25:55 UTC
wen         2011-02-17 09:25:51 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/gnatpython     Makefile distinfo pkg-descr pkg-plist 
  Log:
  GNATPython is a python package to ease development of testsuites and/or
  build scripts in a portable way.  It is an extension to Ada which exports
  GNAT.Expect.TTY and requires the GNAT AUX compiler.
  
  WWW: http://forge.open-do.org/projects/gnatpython
  
  PR:             ports/153828
  Submitted by:   John Marino <freebsdml@marino.st>
  
  Revision  Changes    Path
  1.4230    +1 -0      ports/devel/Makefile
  1.1       +24 -0     ports/devel/gnatpython/Makefile (new)
  1.1       +2 -0      ports/devel/gnatpython/distinfo (new)
  1.1       +5 -0      ports/devel/gnatpython/pkg-descr (new)
  1.1       +53 -0     ports/devel/gnatpython/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2011-02-24 06:30:17 UTC
wen         2011-02-24 06:30:10 UTC

  FreeBSD ports repository

  Modified files:
    textproc             Makefile 
  Added files:
    textproc/xmlada      Makefile distinfo pkg-descr pkg-plist 
  Log:
  XML/Ada is a full XML suite for use with Ada compilers, such as GNAT AUX.
  
  XML/Ada is a set of modules that provide a simple manipulation of XML
  streams.  It supports the whole XML 1.1 specification and can parse any file
  that follows this standard, including the contents of the DTD although no
  validation of the documents is performed based on those.
  
  It provides support for a number of standards associated with XML such as
  SAX, DOM, and XML schemas.  Additionally, it includes a module to manipulate
  unicode streams since this is required by the XML standard.
  
  WWW: http://libre.adacore.com/libre/tools/xmlada/
  
  PR:             ports/153828
  Submitted by:   John Marino <freebsdml@marino.st>
  
  Revision  Changes    Path
  1.1516    +1 -0      ports/textproc/Makefile
  1.13      +26 -0     ports/textproc/xmlada/Makefile (new)
  1.6       +2 -0      ports/textproc/xmlada/distinfo (new)
  1.4       +12 -0     ports/textproc/xmlada/pkg-descr (new)
  1.5       +533 -0    ports/textproc/xmlada/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter freebsd_committer 2011-03-02 00:29:53 UTC
wen         2011-03-02 00:29:45 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits         Makefile 
  Added files:
    x11-toolkits/gtkada  Makefile distinfo pkg-descr pkg-plist 
    x11-toolkits/gtkada/files patch-aa patch-ab 
                              patch-projects-Makefile 
  Log:
  GtkAda is an Ada graphical toolkit based on Gtk+ widgets using the
  object-oriented features of the language.  Gtk+ is a graphical toolkit
  written in C for X-Window and Win32 that was originally developed as
  the basis for GIMP.
  
  WWW: http://libre.adacore.com/libre/tools/gtkada/
  
  PR:             ports/153828
  Submitted by:   John Marino <freebsdml@marino.st>
  
  Revision  Changes    Path
  1.560     +1 -0      ports/x11-toolkits/Makefile
  1.27      +29 -0     ports/x11-toolkits/gtkada/Makefile (new)
  1.7       +2 -0      ports/x11-toolkits/gtkada/distinfo (new)
  1.3       +11 -0     ports/x11-toolkits/gtkada/files/patch-aa (new)
  1.1       +11 -0     ports/x11-toolkits/gtkada/files/patch-ab (new)
  1.1       +13 -0     ports/x11-toolkits/gtkada/files/patch-projects-Makefile (new)
  1.6       +6 -0      ports/x11-toolkits/gtkada/pkg-descr (new)
  1.6       +1467 -0   ports/x11-toolkits/gtkada/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter freebsd_committer 2011-03-02 00:53:11 UTC
wen         2011-03-02 00:53:02 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/gps            Makefile distinfo pkg-descr pkg-plist 
    devel/gps/files      patch-Makefile.in 
                         patch-common-tty-terminals.c 
                         patch-gnatlib-gnat_src-gnatvsn.adb 
                         patch-gnatlib-gnatcoll_shared.gpr.in 
                         patch-shared.gpr 
  Log:
  The GNAT Programming Studio (GPS) is a cutting-edge Free Software IDE that
  streamlines the interaction between developers and their software.  With its
  intuitive interface, GPS is easy to use, simplying source navigation and
  highlighting fundamental ideas in the program.
  
  Features                          Tools
    * Developer-friendly              * Language-sensitive editor
    * Multi-language                  * Version control
    * Multi-platform                  * Graphical debugger
    * Modern GUI                      * Automatic code fixing
    * Multiple document interface     * Graphs (call, dependencies, entities)
    * Customizable                    * Application builder
    * Extensible tool integration     * Visual file comparison
    * Free Software                   * Source code reformatting
                                      * Automatic body file generation
                                      * intelligent source code navigation
                                      * Project Explorer
                                      * Project Wizard
  
  WWW: http://www.adacore.com/home/products/gnatpro/toolsuite/gps/
  
  PR:             ports/153828
  Submitted by:   John Marino <freebsdml@marino.st>
  
  Revision  Changes    Path
  1.4256    +1 -0      ports/devel/Makefile
  1.1       +102 -0    ports/devel/gps/Makefile (new)
  1.1       +2 -0      ports/devel/gps/distinfo (new)
  1.1       +14 -0     ports/devel/gps/files/patch-Makefile.in (new)
  1.1       +14 -0     ports/devel/gps/files/patch-common-tty-terminals.c (new)
  1.1       +31 -0     ports/devel/gps/files/patch-gnatlib-gnat_src-gnatvsn.adb (new)
  1.1       +11 -0     ports/devel/gps/files/patch-gnatlib-gnatcoll_shared.gpr.in (new)
  1.1       +11 -0     ports/devel/gps/files/patch-shared.gpr (new)
  1.1       +20 -0     ports/devel/gps/pkg-descr (new)
  1.1       +646 -0    ports/devel/gps/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter freebsd_committer 2011-03-03 00:46:05 UTC
wen         2011-03-03 00:45:55 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/aws              Makefile distinfo pkg-descr pkg-plist 
    www/aws/files        patch-config__projects__aws.gpr 
                         patch-docs__makefile 
                         patch-regtests__0043_check_mem__test.opt 
                         patch-ssl__crypto_lib.gpr 
                         patch-templates_parser__docs__makefile 
  Log:
  AWS stands for Ada Web Server, but it is more than just another webserver...
  
  AWS is a complete framework to develop web based applications.  The main
  part of the framework is the embedded web server.  This small yet powerful
  web server can be embedded into your application so your application will be
  able to talk with a standard web browser such as Microsoft Internet Explorer
  or Netscape Communicator.  Around this web server, a lot of services have
  been developed.
  
  The framework includes:
    * seb parameters module         * session server
    * SOAP support                  * WSDL generation from Ada
    * template parser               * AJAX support
    * HTTPS/SSL support             * large server support
    * virtual hosting support       * server push
    * directory browser             * status page
    * log module                    * hotplug module
    * light communications API      * configuration API
    * client API                    * web page service
    * SMTP support                  * LDAP support
    * Jabber support
  
  WWW: http://libre.adacore.com/libre/tools/aws/
  
  PR:             ports/153828
  Submitted by:   John Marino <freebsdml@marino.st>
  
  Revision  Changes    Path
  1.2824    +1 -0      ports/www/Makefile
  1.1       +177 -0    ports/www/aws/Makefile (new)
  1.1       +2 -0      ports/www/aws/distinfo (new)
  1.1       +10 -0     ports/www/aws/files/patch-config__projects__aws.gpr (new)
  1.1       +27 -0     ports/www/aws/files/patch-docs__makefile (new)
  1.1       +13 -0     ports/www/aws/files/patch-regtests__0043_check_mem__test.opt (new)
  1.1       +10 -0     ports/www/aws/files/patch-ssl__crypto_lib.gpr (new)
  1.1       +18 -0     ports/www/aws/files/patch-templates_parser__docs__makefile (new)
  1.1       +23 -0     ports/www/aws/pkg-descr (new)
  1.1       +798 -0    ports/www/aws/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Wen Heping freebsd_committer 2011-03-03 00:47:03 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!